Loading...
Searching...
No Matches
Dune::IteratorDirectionSelector< T1, T2, false > Struct Template Reference
Iterative Solvers Template Library (ISTL) » Iterative Solvers » Preconditioners

`#include <dune/istl/overlappingschwarz.hh>`

Inheritance diagram for Dune::IteratorDirectionSelector< T1, T2, false >:

## Public Types

typedef T1 | solver_vector
typedef solver_vector::reverse_iterator | solver_iterator
typedef T2 | subdomain_vector
typedef subdomain_vector::const_reverse_iterator | domain_iterator

## Static Public Member Functions

static solver_iterator | begin (solver_vector &sv)
static solver_iterator | end (solver_vector &sv)
static domain_iterator | begin (const subdomain_vector &sv)
static domain_iterator | end (const subdomain_vector &sv)

## Member Typedef Documentation

## domain_iterator

template<typename T1, typename T2>

typedef subdomain_vector::const_reverse_iterator Dune::IteratorDirectionSelector< T1, T2, false >::domain_iterator

## solver_iterator

template<typename T1, typename T2>

typedef solver_vector::reverse_iterator Dune::IteratorDirectionSelector< T1, T2, false >::solver_iterator

## solver_vector

template<typename T1, typename T2>

typedef T1 Dune::IteratorDirectionSelector< T1, T2, false >::solver_vector

## subdomain_vector

template<typename T1, typename T2>

typedef T2 Dune::IteratorDirectionSelector< T1, T2, false >::subdomain_vector

## Member Function Documentation

## begin() [1/2]

template<typename T1, typename T2>

domain_iterator Dune::IteratorDirectionSelector< T1, T2, false >::begin | ( | const subdomain_vector & | sv | ) |

inline static

## begin() [2/2]

template<typename T1, typename T2>

solver_iterator Dune::IteratorDirectionSelector< T1, T2, false >::begin | ( | solver_vector & | sv | ) |

inline static

## end() [1/2]

template<typename T1, typename T2>

domain_iterator Dune::IteratorDirectionSelector< T1, T2, false >::end | ( | const subdomain_vector & | sv | ) |

inline static

## end() [2/2]

template<typename T1, typename T2>

solver_iterator Dune::IteratorDirectionSelector< T1, T2, false >::end | ( | solver_vector & | sv | ) |

inline static

The documentation for this struct was generated from the following file:

- overlappingschwarz.hh